package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumContract {

    SHOP_RENT(1, "店铺租赁合同"),
    SHOP_PROPERTY(3, "店铺物业合同"),
    SHOP_RENT_PROPERTY(5, "店铺租赁物业合同"),
    POINT_RENT(2, "多经租赁合同"),
    POINT_PROPERTY(4, "多经物业合同"),
    POINT_RENT_PROPERTY(6, "多经租赁物业合同"),;

    public static EnumContract getEnum(Integer code) {
        for (EnumContract value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumContract(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
